%define	name		sac
%define	version		1.3
%define	release		2jpp
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java standard interface for CSS parser
License:	W3C Software License
Group:		Development/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}java-%{version}.zip
Source1:        %{name}-build.xml
URL:		http://www.w3.org/Style/CSS/SAC/
BuildRequires:	ant
BuildRequires:	jpackage-utils >= 0:1.5
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
SAC is a standard interface for CSS parser and supposed to work with CSS1,
CSS2, CSS3 (currently under development) and other CSS derived languages.

%package javadoc
Group:		Development/Java
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
install -m 644 %{SOURCE1} build.xml
# correct silly permissions
chmod -R go=u-w *
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
ant jar
ant javadoc

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc COPYRIGHT.html
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.3-2jpp
- update for JPackage 1.5

* Thu Jul 11 2002 Ville Skytt <ville.skytta at iki.fi> 1.3-1jpp
- Update to 1.3.
- Use sed instead of bash 2 extension when symlinking jars during build.
- Add Distribution tag, fix URL, tweak Summary and description.

* Wed Feb 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2-1jpp 
- first jpp release
